Subject: Re: [TCP]: Fix truesize underflow

From: "Boris B. Zhmurov" <[email-masked]>
Date: Wed, 19 Apr 2006 10:04:53 +0400

Hello, Herbert Xu.

On 19.04.2006 03:27 you said the following:

> On Tue, Apr 18, 2006 at 01:22:56PM -0700, David S. Miller wrote:
> 
>>I think it is deserving of some run time assertions, else these bugs
>>will elude us continually.  Luckily there are only a few places that
>>would need the run time assertion checks on skb->truesize, and I'll
>>try to spend a few cycles on implementing this soon.
> 
> 
> Yes indeed.  One place that comes to mind would be tcp_trim_head just
> before we munge truesize.
> 
> Cheers,

I confirm, finally I don't see messages in dmesg about assertions. Nice 
work :)

-- 
Boris B. Zhmurov
mailto: [email-masked]
"wget http://kernelpanic.ru/bb_public_key.pgp -O - | gpg --import"